=== debian/changelog ===
arch-test (0.5-1) unstable; urgency=medium

  * New upstream release (+powerpcspe).
    + don't detect SPE as powerpc

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 14 Jun 2016 03:32:08 +0200

arch-test (0.4-1) unstable; urgency=medium

  * New upstream release (+alpha).
    + require 686 on any-i386
  * NMU instructions in debian/control.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 16 May 2016 05:02:06 +0200

arch-test (0.3-1) unstable; urgency=medium

  * New upstream release (+kfreebsd-i386, kfreebsd-amd64).
  * Use multilib where available to avoid broken binutils-x86-64-linux-gnu
    on i386.
  * Allow dropping archs by removing them from build-depends.
  * Add a watch file.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 17 Apr 2016 19:33:47 +0200

arch-test (0.2-1) unstable; urgency=medium

  * Initial release (Closes: #819207)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 11 Apr 2016 21:08:00 +0200
