=== debian/control ===
Source: arch-test
Section: admin
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>=9),
 binutils-x86-64-linux-gnu [!amd64 !i386 !x32],
 binutils-aarch64-linux-gnu [!arm64],
 binutils-arm-linux-gnueabihf [!armhf !armel !arm],
 binutils-m68k-linux-gnu [!m68k],
 binutils-mips-linux-gnu [!mips !mipsel !mips64 !mips64el],
 binutils-powerpc-linux-gnu [!powerpc !ppc64],
 binutils-powerpc64le-linux-gnu [!ppc64el],
 binutils-s390x-linux-gnu [!s390x],
 binutils-sh4-linux-gnu [!sh4],
 binutils-sparc64-linux-gnu [!sparc64 !sparc],
 binutils-alpha-linux-gnu [!alpha],
 mingw-w64
# doko, others: if you want to drop some crap architecture from binutils, feel
# free to shout at me or NMU arch-test to remove it yourself.  It is enough to
# remove from Build-Depends, configure will do the right thing.
Standards-Version: 3.9.8
Vcs-Git: https://github.com/kilobyte/arch-test.git -b debian
Vcs-Browser: https://github.com/kilobyte/arch-test/tree/debian

Package: arch-test
Architecture: all
Depends: ${misc:Depends}
Description: detect architectures supported by your machine/kernel
 This package lets you enumerate architectures that your kernel can run.
 The check is for the ability to run machine code and supporting appropriate
 syscall ABI -- you may need to install userland libraries in a chroot,
 container or via multiarch to actually execute non-static binaries of such
 architectures.
 .
 Architectures detected by this version of arch-test are:
  * amd64, i386, x32
  * mips, mipsel, mips64, mips64el
  * arm, armel, armhf, arm64
  * powerpc, ppc64, ppc64el, powerpcspe
  * m68k
  * sh4
  * s390x
  * sparc, sparc64
  * illumos-amd64
  * win32, win64
  * kfreebsd-amd64, kfreebsd-i386
  * alpha
