=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


%:
	dh $@ --parallel

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/arch-test/ PREFIX=/usr
