## arch-test 0.10

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 	sparc sparc64 \
 	alpha \
 	hppa \
+	ia64 \
+	riscv64 \
 
 X86=x86_64-linux-gnu
 MIPS=mips-linux-gnu
@@ -51,11 +53,13 @@
 	$(X86)-as --32 $^ -o i386.o
 	$(X86)-ld -melf_i386 -s i386.o -o $@
 
-arch-test-win32: generic.c
-	i686-w64-mingw32-gcc $^ -s -o $@
+arch-test-win32: win32.s
+	i686-w64-mingw32-as $^ -o win32.o
+	i686-w64-mingw32-ld -s win32.o -lkernel32 -o $@
 
-arch-test-win64: generic.c
-	x86_64-w64-mingw32-gcc $^ -s -o $@
+arch-test-win64: win64.s
+	x86_64-w64-mingw32-as $^ -o win64.o
+	x86_64-w64-mingw32-ld -s win64.o -lkernel32 -o $@
 
 arch-test-mips: mips.s
 	$(MIPS)-as -32 -EB $^ -o mips.o
@@ -85,14 +89,17 @@
 	$(X86)-as --64 $^ -o illumos-amd64.o
 	$(X86)-ld -melf_x86_64 -s illumos-amd64.o -o $@
 
+# same ABI as Solaris, save for branding.
 arch-test-kfreebsd-amd64: solaris-amd64.s
 	$(X86)-as --64 $^ -o kfreebsd-amd64.o
 	$(X86)-ld -melf_x86_64 -s kfreebsd-amd64.o -o $@
+	# FreeBSD relies on "branding" of ELF files.
 	printf '\t'|dd of=$@ bs=1 count=1 seek=7 conv=notrunc
 
 arch-test-kfreebsd-i386: kfreebsd-i386.s
 	$(X86)-as --32 $^ -o kfreebsd-i386.o
 	$(X86)-ld -melf_i386 -s kfreebsd-i386.o -o $@
+	# FreeBSD relies on "branding" of ELF files.
 	printf '\t'|dd of=$@ bs=1 count=1 seek=7 conv=notrunc
 
 arch-test-powerpc: powerpc.s
@@ -127,7 +134,7 @@
 	$(ARM)-as $^ -o arm.o
 	$(ARM)-ld -s arm.o -o $@
 
-arch-test-armel: arm.eabi.s
+arch-test-armel: armel.s
 	$(ARM)-as $^ -o armel.o
 	$(ARM)-ld -s armel.o -o $@
 
@@ -158,3 +165,11 @@
 arch-test-hppa: hppa.s
 	hppa-linux-gnu-as $^ -o hppa.o
 	hppa-linux-gnu-ld -s hppa.o -o $@
+
+arch-test-ia64: ia64.s
+	ia64-linux-gnu-as $^ -o ia64.o
+	ia64-linux-gnu-ld -s ia64.o -o $@
+
+arch-test-riscv64: riscv64.s
+	riscv64-linux-gnu-as $^ -o riscv64.o
+	riscv64-linux-gnu-ld -s riscv64.o -o $@
