=== debian/changelog ===
arch-test (0.10-1) unstable; urgency=medium

  * New upstream release (+riscv64).
  * Actually add R³.
  * watch: ignore debian tags.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 25 Feb 2018 02:43:03 +0100

arch-test (0.9-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend only on Windows binutils and headers.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 10 Jan 2018 00:55:03 +0100

arch-test (0.8-1) unstable; urgency=medium

  * New upstream release (+ia64).
  * dh 11.
  * R³.
  * Override lintian warning for non-hardened Windows binary.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 09 Jan 2018 14:27:24 +0100
