=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=11),
  binutils-x86-64-linux-gnu [!amd64 !i386 !x32],
  binutils-aarch64-linux-gnu [!arm64],
  binutils-arm-linux-gnueabihf [!armhf !armel !arm],
@@ -15,11 +15,15 @@
  binutils-sparc64-linux-gnu [!sparc64 !sparc],
  binutils-alpha-linux-gnu [!alpha],
  binutils-hppa-linux-gnu [!hppa],
- mingw-w64
+ binutils-ia64-linux-gnu [!ia64],
+ binutils-riscv64-linux-gnu [!riscv64],
+ binutils-mingw-w64-i686, mingw-w64-i686-dev,
+ binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev,
 # doko, others: if you want to drop some crap architecture from binutils, feel
 # free to shout at me or NMU arch-test to remove it yourself.  It is enough to
 # remove from Build-Depends, configure will do the right thing.
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Vcs-Git: https://github.com/kilobyte/arch-test.git -b debian
 Vcs-Browser: https://github.com/kilobyte/arch-test/tree/debian
 
@@ -48,3 +52,5 @@
   * kfreebsd-amd64, kfreebsd-i386
   * alpha
   * hppa
+  * ia64
+  * riscv64
