=== debian/changelog ===
arch-test (0.12-2) unstable; urgency=medium

  * Fix --version when built without git available.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 05 May 2018 01:15:24 +0200

arch-test (0.12-1) unstable; urgency=medium

  * New upstream release.
    + add --version (Closes: #897615)
  * A simple autopkgtest: check whether dpkg's architecture is executable.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 04 May 2018 23:38:10 +0200

arch-test (0.11-1) unstable; urgency=medium

  * New upstream release (-c <chroot>).
  * Build-Conflict against a problematic version of binutils-mingw.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 02 Apr 2018 20:25:21 +0200
