## arch-test 0.13

=== debian/changelog ===
arch-test (0.13-1) unstable; urgency=medium

  * New upstream release (adds "elf-arch").  Closes: #905959.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 11 Oct 2018 20:20:08 +0200
