## arch-test 0.14

=== debian/changelog ===
arch-test (0.14-1) unstable; urgency=medium

  * New upstream release.
    + elf-arch: recognition of mips{,64}r6{,el}.  Closes: #910981.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 14 Oct 2018 15:58:47 +0200
