## arch-test 0.15

=== debian/changelog ===
arch-test (0.15-2+deb10u1) buster; urgency=medium

  * Fix s390x detection sometimes failing (Alexander Efremkin).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 16 Aug 2020 15:25:50 +0200

arch-test (0.15-2) unstable; urgency=medium

  * Don't check for SWP on armel; it's not needed in the vast majority of
    cases anymore.  Yes, you'll get crashes if it's actually used.
    Closes: #922728.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 27 Feb 2019 13:41:50 +0100

arch-test (0.15-1) unstable; urgency=medium

  * New upstream release.
    + elf-arch knows about hppa64 (closes: #912369) and strips OS/libc
      prefixes it can't properly detect, such as hurd- or musl-linux-
      (closes: #911156, #912368).

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 31 Oct 2018 00:53:04 +0100
