=== debian/tests/control ===
Tests: dpkg-arch-works
