## arch-test 0.16

=== debian/changelog ===
arch-test (0.16-2) unstable; urgency=medium

  * Build mips{,64}{,el} tests on mips64el ("mips" is no more).
  * Drop an unused lintian override.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 22 Aug 2019 23:22:14 +0200

arch-test (0.16-1) unstable; urgency=medium

  * New upstream release.
    + Fix false negatives on s390x due to uninitialized register upper half
      (Alexander Efremkin).
  * Add a test that no-args invocation doesn't spew errors on failed archs.
  * dh 12.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 27 Jul 2019 02:25:41 +0200
