=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>=11),
+Build-Depends: debhelper-compat (=12),
  binutils-x86-64-linux-gnu [!amd64 !i386 !x32],
  binutils-aarch64-linux-gnu [!arm64],
  binutils-arm-linux-gnueabihf [!armhf !armel !arm],
  binutils-m68k-linux-gnu [!m68k],
- binutils-mips-linux-gnu [!mips !mipsel !mips64 !mips64el],
+ binutils-mips64el-linux-gnuabi64 [!mips !mipsel !mips64 !mips64el],
  binutils-powerpc-linux-gnu [!powerpc !ppc64],
  binutils-powerpc64le-linux-gnu [!ppc64el],
  binutils-s390x-linux-gnu [!s390x],
@@ -19,10 +19,10 @@
  binutils-riscv64-linux-gnu [!riscv64],
  binutils-mingw-w64-i686, mingw-w64-i686-dev,
  binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev,
-# doko, others: if you want to drop some crap architecture from binutils, feel
-# free to shout at me or NMU arch-test to remove it yourself.  It is enough to
-# remove from Build-Depends, configure will do the right thing.
-Standards-Version: 4.1.4
+# doko, others: if you want to drop an architecture from binutils, feel
+# free to shout at me or NMU arch-test to remove it yourself.  It is
+# enough to remove from Build-Depends, configure will do the right thing.
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/kilobyte/arch-test.git -b debian
 Vcs-Browser: https://github.com/kilobyte/arch-test/tree/debian
@@ -37,6 +37,9 @@
  syscall ABI -- you may need to install userland libraries in a chroot,
  container or via multiarch to actually execute non-static binaries of such
  architectures.
+ .
+ Also provided is "elf-arch", a tool to determine the architecture of an ELF
+ binary (program or library).
  .
  Architectures detected by this version of arch-test are:
   * amd64, i386, x32
