=== debian/changelog ===
arch-test (0.17-2) unstable; urgency=medium

  * Temporarily disable win64 (binutils issue); closes: #998593.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 16 Nov 2021 13:05:14 +0100

arch-test (0.17-1) unstable; urgency=medium

  * New upstream release.
    + man page doesn't claim qemu requires copying stuff to chroot.
      Closes: #939910.
  * Bump watch file version to 4 (no changes).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 21 Jan 2021 01:31:00 +0100
