=== debian/changelog ===
arch-test (0.18-1) unstable; urgency=medium

  * New upstream release.
    + Fixes a dmesg warning about executable stack.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 Mar 2022 21:06:22 +0100
