## arch-test 0.19

=== debian/changelog ===
arch-test (0.19-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable win64, fixed.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 10 Sep 2022 23:20:17 +0200
