=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
  binutils-ia64-linux-gnu [!ia64],
  binutils-riscv64-linux-gnu [!riscv64],
  binutils-mingw-w64-i686, mingw-w64-i686-dev,
-#binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev,
+ binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev,
 # doko, others: if you want to drop an architecture from binutils, feel
 # free to shout at me or NMU arch-test to remove it yourself.  It is
 # enough to remove from Build-Depends, configure will do the right thing.
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/kilobyte/arch-test.git -b debian
 Vcs-Browser: https://github.com/kilobyte/arch-test/tree/debian
