## arch-test 0.21

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	alpha \
 	hppa \
 	ia64 \
-	riscv64 \
+	riscv32 riscv64 \
 	loong64 \
 	arc \
 
@@ -186,3 +186,7 @@
 arch-test-arc: arc.s
 	arc-linux-gnu-as $^ -o arc.o
 	arc-linux-gnu-ld -z noexecstack -s arc.o -o $@
+
+arch-test-riscv32: riscv32.s
+	riscv32-linux-gnu-as $^ -o riscv32.o
+	riscv32-linux-gnu-ld -z noexecstack -s riscv32.o -o $@
