=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/arch-test-$1\.tar\.gz/ \
  https://github.com/kilobyte/arch-test/tags .*/v(\d\S*)\.tar\.gz
